# Contributing

Thank you for taking the time to contribute! ♥️ Ensure your PR adheres to following guidelines:

- Search included books before adding a new one, as yours may be a duplicate.
- Only add books you think are great! Feel welcome to remove entries that you think aren't great!
- Use the following format: `[<📕 or 📖> Name (Year)](link) - Description.`
- If you can't find the year the book was written in, you can skip adding the year.
- If the book is free, link to the free book and add 📖 emoji.
- If the book is not free, link to the book on [goodreads.com](https://www.goodreads.com/) and add 📕 emoji.
- The book should be put into its appropriate category. Pick one you think is closest if you are not sure.
- Sort the books inside a category from most recent to oldest.
- If you want to add a link to notes for the book, add it to Description inbetween `()`. i.e. `(Notes[link])`
- Start the description with a capital and end with a full stop.
- Don't start the description with `A` or `An`.
- Check your spelling and grammar.
- New categories or improvements to the existing categorization are welcome.
- You can also add related links and repositories in the end.

[All suggestions are welcome](../../edit/master/readme.md).
