# Books [![Lists](https://img.shields.io/badge/-more%20lists-0a0a0a.svg?style=flat&colorA=0a0a0a)](https://github.com/learn-anything/curated-lists)

The number after the book name stands for the year in which the book was written in. All books are put in their respective category and are sorted from newest to oldest. 📕/📖 before the books show if the book is free or not.

_Please read [contribution guidelines](contributing.md) before contributing._

- [Algorithms](#algorithms)
- [Architecture](#architecture)
- [Art](#art)
- [Autobiography](#autobiography)
- [Awareness](#awareness)
- [Basic Income](#basic-income)
- [Biographies](#biographies)
- [Biology](#biology)
- [Business](#business)
- [Category theory](#category-theory)
- [Chemistry](#chemistry)
- [Compilers](#compilers)
- [Computational complexity](#computational-complexity)
- [Computer graphics](#computer-graphics)
- [Computer networking](#computer-networking)
- [Computer science](#computer-science)
- [Computer Systems](#computer-systems)
- [Creativity](#creativity)
- [Cybernetics](#cybernetics)
- [Cryptography](#cryptography)
- [Cryptocurrencies](#cryptocurrencies)
- [Data Science](#data-science)
- [Databases](#databases)
- [Design](#design)
- [Drugs](#drugs)
- [Economics](#economics)
- [Engineering](#engineering)
- [Environment](#environment)
- [Evolution](#evolution)
- [Fiction](#fiction)
  - [Adventure](#adventure)
  - [Comedy](#comedy)
  - [Fantasy](#fantasy)
    - [Fantasy series](#fantasy-series)
  - [Short Stories](#short-stories)
  - [Thriller](#thriller)
- [Film Making](#film-making)
- [Finance](#finance)
- [Fitness](#fitness)
- [Functional programming](#functional-programming)
- [Future](#future)
- [Game Development](#game-development)
- [Graphic design](#graphic-design)
- [History](#history)
  - [Alternative history](#alternative-history)
- [Investing](#investing)
- [Kubernetes](#kubernetes)
- [Leadership](#leadership)
- [Logic](#logic)
- [Machine learning](#machine-learning)
- [Management](#management-)
- [Math](#math)
- [Memoirs](#memoirs)
- [Mindset](#mindset)
- [Minimalism](#minimalism)
- [Music Production](#music-production)
- [Neuroscience](#neuroscience)
- [Non Fiction](#non-fiction)
- [Nutrition](#nutrition)
- [Operating Systems](#operating-systems)
  - [iOS](#ios)
  - [Linux](#linux)
  - [MacOS](#macos)
- [Philosophy](#philosophy)
- [Physics](#physics)
- [Poetry](#poetry)
- [Politics](#politics)
- [Programming interviews](#programming-interviews)
- [Programming language design](#programming-language-design)
- [Programming languages](#programming-languages)
  - [Assembly](#assembly)
  - [C](#c)
  - [C++](#c-1)
  - [D](#d)
  - [Go](#go)
  - [Clojure](#clojure)
  - [Haskell](#haskell)
  - [Java](#java)
  - [JavaScript](#javascript)
  - [Kotlin](#kotlin)
  - [Lisp](#lisp)
  - [OCaml](#ocaml)
  - [Perl](#perl)
  - [PowerShell](#powershell)
  - [Prolog](#prolog)
  - [Purescript](#purescript)
  - [Python](#python)
  - [R](#r)
  - [ReasonML](#reasonml)
  - [Ruby](#ruby)
  - [Rust](#rust)
  - [Scala](#scala)
  - [Smalltalk](#smalltalk)
  - [Swift](#swift)
  - [TypeScript](#typescript)
  - [Agda](#agda)
- [Programming](#programming)
- [Psychedelics](#psychedelics)
- [Psychology](#psychology)
- [Quantum physics](#quantum-physics)
- [Regular Expressions](#regular-expressions)
- [Reinforcement learning](#reinforcement-learning)
- [Reverse engineering](#reverse-engineering)
- [Science](#science)
- [SciFi](#scifi)
  - [SciFi Series](#scifi-series)
- [Security](#security)
- [Sleep](#sleep)
- [Society](#society)
- [Spirituality](#spirituality)
- [Startups](#startups)
- [Statistics](#statistics)
- [Strategy](#strategy)
- [Text editors](#text-editors)
  - [Vim](#vim)
- [Type theory](#type-theory)
- [Unix](#unix)
- [Version Control](#version-control)
  - [Git](#git)
- [Visualization](#visualization)
- [Writing](#writing)
- [Web Development](#web-development)
  - [CSS](#css)
  - [Node](#node)
  - [React](#react)
  - [Redux](#redux)
  - [Webpack](#webpack)
  - [Web design](#web-design)
- [Other](#other)

## Algorithms

- [📖 Algorithm design manual (1987)](https://mimoza.marmara.edu.tr/~msakalli/cse706_12/SkienaTheAlgorithmDesignManual.pdf)
- [📕 Introduction to algorithms (1990)](https://www.goodreads.com/book/show/108986.Introduction_to_Algorithms)
- [📕 Algorithm design (2005)](https://www.goodreads.com/book/show/145055.Algorithm_Design)
- [📖 Algorithms by Dasgupta (2006)](http://algorithmics.lsi.upc.edu/docs/Dasgupta-Papadimitriou-Vazirani.pdf)
- [📖 Algorithms etc by Jeff Erickson (2015)](http://jeffe.cs.illinois.edu/teaching/algorithms/)
- [📖 Algorithm design: parallel and sequential](http://www.parallel-algorithms-book.com/)
- [📕 Advanced Algorithms and Data Structures in Action (2019)](https://www.goodreads.com/book/show/47316716-algorithms-and-data-structures-in-action)
- [📕 Algorithms and Data Structures for Massive Datasets (2021)](https://www.manning.com/books/algorithms-and-data-structures-for-massive-datasets)

## Architecture

- [📕 The Underdome Guide to Energy Reform (2015)](https://www.amazon.com/Underdome-Guide-Energy-Reform/dp/1616893974)

## Art

- [📕 Drawing on the right side of the brain (1979)](https://www.goodreads.com/book/show/627206.The_New_Drawing_on_the_Right_Side_of_the_Brain)

## Autobiography

- [📕 I know why the caged bird sings (1993)](https://www.goodreads.com/book/show/13214.I_Know_Why_the_Caged_Bird_Sings)
- [📕 Hit Refresh (2017)](https://www.goodreads.com/book/show/30835567-hit-refresh)
- [📕 Becoming (2018)](https://www.goodreads.com/book/show/38746485-becoming)

## Awareness

- [📕 Last chance to see](https://www.goodreads.com/book/show/8696.Last_Chance_to_See)

## Basic Income

- [📖 World After Capital (2018)](http://worldaftercapital.org/)

## Biographies

- [📕 The autobiography of Malcolm X (1965)](https://www.goodreads.com/book/show/92057.The_Autobiography_of_Malcolm_X)
- [📕 Napoleon bonaparte: an intimate biography (1971)](https://www.goodreads.com/book/show/22175392-napoleon-bonaparte-an-intimate-biography?rating=1)
- [📕 The power broker (1974)](https://www.goodreads.com/book/show/1111.The_Power_Broker)
- [📕 Surely you’re joking Mr Feynman (1984)](https://www.goodreads.com/book/show/5544.Surely_You_re_Joking_Mr_Feynman_)
- [📕 The man who knew infinity: a life of the genius Ramanujan (1991)](https://www.goodreads.com/book/show/106139.The_Man_Who_Knew_Infinity)
- [📕 Speak, memory (1951)](https://www.goodreads.com/book/show/30594.Speak_Memory)
- [📕 Madame curie: a biography (2001)](https://www.goodreads.com/book/show/341166.Madame_Curie)
- [📕 Benjamin franklin: an american life (2004)](https://www.goodreads.com/book/show/10883.Benjamin_Franklin)
- [📕 Team of rivals: the political genius of Abraham Lincoln (2005)](https://www.goodreads.com/book/show/2199.Team_of_Rivals)
- [📕 Einstein: his life and universe (2007)](https://www.goodreads.com/book/show/10884.Einstein)
- [📕 The strangest man (2009)](https://www.goodreads.com/book/show/6629359-the-strangest-man)
- [📕 Steve Jobs (2011)](https://www.goodreads.com/book/show/11084145-steve-jobs)
- [📕 The Everything Store: Jeff Bezos and the Age of Amazon (2013)](https://www.goodreads.com/book/show/17660462-the-everything-store)
- [📕 Elon Musk: tesla, spacex, and the quest for a fantastic future (2015)](https://www.goodreads.com/book/show/22543496-elon-musk)
- [📕 Trump revealed: the definitive biography of the 45th president (2017)](https://www.goodreads.com/book/show/29906336-trump-revealed)
- [📕 My Journey: Transforming Dreams into Actions by A.P.J Abdul Kalam ](https://www.goodreads.com/book/show/18371021-my-journey)

## Biology

- [📕 Molecular Biology of the Cell (1983)](https://www.goodreads.com/book/show/13400.Molecular_Biology_of_the_Cell)
- [📕 Rang & Dale's Pharmacology (1987)](https://www.goodreads.com/book/show/380577.Rang_Dale_s_Pharmacology)

## Business

- [📕 The effective executive (1967)](https://www.goodreads.com/book/show/48019.The_Effective_Executive)
- [📕 The hard things about hard things (2014)](https://www.goodreads.com/book/show/18176747-the-hard-thing-about-hard-things)
- [📕 Give and take: why helping others drives our success (2014)](https://www.goodreads.com/book/show/16158498-give-and-take)
- [📕 MAKE: Bootstrapper's Handbook (2018)](https://www.goodreads.com/book/show/39165640-make)
- [📕 The Lean Startup (2011)](https://www.goodreads.com/book/show/10127019-the-lean-startup)

## Category theory

- [📖 Category Theory for Programmers (2018)](https://github.com/hmemcpy/milewski-ctfp-pdf)
- [📖 Basic Category Theory (2016)](https://arxiv.org/pdf/1612.09375.pdf)
- [📖 Category Theory in Context (2016)](http://www.math.jhu.edu/~eriehl/context.pdf)
- [📖 Category Theory (2006)](http://angg.twu.net/MINICATS/awodey__category_theory.pdf)

## Chemistry

- [📕 Modern quantum chemistry: introduction to advanced electronic structure theory (1982)](https://www.goodreads.com/book/show/237496.Modern_Quantum_Chemistry)
- [📕 Tryptamines i have known and loved: the chemistry continues (1997)](https://www.goodreads.com/book/show/271921.Tihkal)
- [📕 Drugs 2.0: the web revolution that's changing how the world gets high (2013)](https://www.goodreads.com/book/show/20613641-drugs-unlimited)

## Compilers

- [📕 Compilers: Principles, Techniques, and Tools (1986)](https://www.goodreads.com/book/show/703102.Compilers)
- [📖 Compiler Construction by Niklaus Wirth (1996)](http://www.ethoberon.ethz.ch/WirthPubl/CBEAll.pdf)
- [📕 Modern Compiler Implementation in ML (1997)](https://www.goodreads.com/book/show/258558.Modern_Compiler_Implementation_in_ML)
- [📕 Advanced Compiler Design and Implementation (1997)](https://www.goodreads.com/book/show/887908.Advanced_Compiler_Design_and_Implementation)

## Computational complexity

- [📕 Computational Complexity (1993)](https://www.goodreads.com/book/show/138562.Computational_Complexity)
- [📖 Computational Complexity: A Modern Approach (2007)](http://theory.cs.princeton.edu/complexity/book.pdf)
- [📕 The Nature of Computation (2011)](https://www.goodreads.com/book/show/3043127-the-nature-of-computation)

## Computer graphics

- [📖 The book of shaders (2017)](http://thebookofshaders.com)
- [📖 Computer Graphics from Scratch](https://www.gabrielgambetta.com/computer-graphics-from-scratch/index.html)

## Computer networking

- [📕 TCP/IP network administration (1992)](https://www.goodreads.com/book/show/688363.TCP_IP_Network_Administration)
- [📕 Tcp/IP illustrated (1993)](https://www.goodreads.com/book/show/505560.The_Protocols)
- [📕 Interconnections: bridges, routers, switches, and internetworking protocols (1999)](https://www.goodreads.com/book/show/320321.Interconnections)
- [📕 Computer networking: a top-down approach (2000)](https://www.goodreads.com/book/show/83847.Computer_Networking)
- [📕 Unix network programming, volume 1: the sockets networking api (2003)](https://www.goodreads.com/book/show/239240.UNIX_Network_Programming_Volume_1)
- [📕 TCP/IP guide (2005)](https://www.goodreads.com/book/show/505564.The_TCP_IP_Guide)
- [📖 Computer Networks: A Systems Approach (2012)](https://book.systemsapproach.org/)
- [📖 High performance browser networking (2013)](https://hpbn.co/)
- [📖 Openssl cookbook (2015)](https://www.feistyduck.com/library/openssl%2dcookbook/online/)
- [📖 Beej's guide to network programming (2016)](http://beej.us/guide/bgnet/)
- [📖 Distributed Systems 3rd edition (2017)](https://www.distributed-systems.net/index.php/books/ds3/)
- [📖 An introduction to computer networks](http://intronetworks.cs.luc.edu/current/html/)

## Computer science

- [📕 The new Turing Omnibus (1989)](https://www.goodreads.com/book/show/964709.The_New_Turing_Omnibus)
- [📖 Purely functional data structures (1996)](https://www.cs.cmu.edu/~rwh/theses/okasaki.pdf)
- [📕 Introduction to the theory of computation (1996)](https://www.goodreads.com/book/show/400716.Introduction_to_the_Theory_of_Computation)
  - [Solutions](https://github.com/ryandougherty/Introduction-to-the-Theory-of-Computation-Solutions)
- [📕 Gems of Theoretical Computer Science (1998)](https://www.goodreads.com/book/show/4715024-gems-of-theoretical-computer-science)
- [📕 Types and programming languages (2002)](https://www.cis.upenn.edu/%7Ebcpierce/tapl/)
- [📕 Advanced topics in types and programming languages (2004)](https://www.cis.upenn.edu/%7Ebcpierce/attapl/)
- [📕 The elements of computing systems (2005)](https://www.goodreads.com/book/show/910789.The_Elements_of_Computing_Systems)
  - [Computer implementation](https://github.com/havivha/Nand2Tetris)
- [📕 Annotated turing (2008)](https://www.goodreads.com/book/show/2333956.The_Annotated_Turing)
- [📕 The nature of computation (2011)](http://www.nature-of-computation.org/)
- [📖 Software foundations (2011)](https://softwarefoundations.cis.upenn.edu/current/index.html)
- [📖 Introduction to data compression (2012)](<https://github.com/gabrieldiego/tg/blob/master/ref/Introduction%20to%20Data%20Compression%20(4th%20Edition).pdf>)

## Computer Systems

- [📖 NASA System Engineering (2007)](https://www.nasa.gov/sites/default/files/atoms/files/nasa_systems_engineering_handbook.pdf)
- [📖 Distributed systems (2013)](http://book.mixu.net/distsys/)
- [📕 General Systems Thinking (2015)](https://www.goodreads.com/book/show/583766.An_Introduction_to_General_Systems_Thinking)
- [📕 Computer systems: a programmer’s perspective](https://www.goodreads.com/book/show/829182.Computer_Systems)

## Creativity

- [📕 Creativity, inc (2014)](https://www.goodreads.com/book/show/18077903-creativity-inc)

## Cybernetics

- [📕 The human use of human beings (2015)](https://www.amazon.com/Human-Use-Beings-Cybernetics-Society/dp/0306803208)
- [📕 Techniques of the observer : on vision and modernity in the nineteenth… (1990)](https://www.goodreads.com/book/show/18077903-creativity-inc)

## Cryptography

- [📕 The code book (1999)](https://www.goodreads.com/book/show/17994.The_Code_Book)
- [📖 Engineering security (2014)](https://www.cs.auckland.ac.nz/~pgut001/pubs/book.pdf)
- [📖 Graduate course in applied cryptography (2016)](https://crypto.stanford.edu/~dabo/cryptobook/draft_0_3.pdf)
- [📖 Practical Cryptography for Developers (2018)](https://cryptobook.nakov.com/?q=)
- [📕 Real World Cryptography](https://www.manning.com/books/real-world-cryptography)
- [📕 Secret Key Cryptography](https://www.manning.com/books/secret-key-cryptography)

## Cryptocurrencies

- [📖 Mastering Ethereum (2018)](https://github.com/ethereumbook/ethereumbook)

## Data Science

- [📕 Designing Data-Intensive Applications (2014)](http://shop.oreilly.com/product/0636920032175.do)
- [📕 Fighting Churn With Data (2020)](https://www.manning.com/books/fighting-churn-with-data)
- [📕 Data Science Bookcamp (2021)](https://www.manning.com/books/data-science-bookcamp)
- [📕 Effective Data Science Infrastructure (2021)](https://www.manning.com/books/effective-data-science-infrastructure)
- [📕 Graph Algorithms for Data Science (2021)](https://www.manning.com/books/graph-algorithms-for-data-science)

## Databases

- [📕 The data warehouse toolkit (1996)](https://www.goodreads.com/book/show/748203.The_Data_Warehouse_Toolkit)
- [📕 Learn SQL in a Month of Lunches (2022)](https://www.manning.com/books/learn-sql-in-a-month-of-lunches)

## Design

- [📕 The non-designer's design book (1994)](https://www.goodreads.com/book/show/41597.The_Non_Designer_s_Design_Book)
- [📕 Design meets disability (2009)](https://www.goodreads.com/book/show/5982641-design-meets-disability)
- [📕 The design of everyday things](https://www.goodreads.com/book/show/840.The_Design_of_Everyday_Things)
- [📕 The best interface is no interface: the simple path to brilliant technology](https://www.goodreads.com/book/show/22758923-the-best-interface-is-no-interface)
- [📖 The Shape of Design](https://shapeofdesignbook.com)
- [📕 Alien Phenomenology or what its like to be a thing (2012)](https://www.amazon.com/Alien-Phenomenology-What-Thing-Posthumanities/dp/0816678987)
- [📕 The Best Interface Is No Interface: The Simple Path to Brilliant Technology](http://www.nointerface.com/book/)
- [📕 Speculative Everything (2013)](https://www.amazon.com/Speculative-Everything-Design-Fiction-Dreaming/dp/0262019841)

## Drugs

- [📕 A Primer of Drug Action (1975)](https://www.goodreads.com/book/show/1134902.A_Primer_of_Drug_Action)
- [📕 Drugged: The Science and Culture Behind Psychotropic Drugs (2013)](https://www.goodreads.com/book/show/17847528-drugged)
- [📕 Pleasures of the Brain (2009)](https://www.goodreads.com/book/show/6777669-pleasures-of-the-brain)

## Economics

- [📕 Capital (1867)](https://www.goodreads.com/book/show/325785.Capital_Vol_1)
- [📕 Reading capital](http://davidharvey.org/reading-capital/)
- [📖 Kapitalism 101](https://kapitalism101.wordpress.com/)
- [📕 Imperialism, the highest stage of capitalism (1917)](https://www.goodreads.com/book/show/179609.Imperialism)
- [📕 The worldly philosophers (1953)](https://www.goodreads.com/book/show/82120.The_Worldly_Philosophers)
- [📕 Principles of economics (1997)](https://www.goodreads.com/book/show/1753460.Principles_of_Economics)
- [📕 Introductory Econometrics: A Modern Approach (1999)](https://www.goodreads.com/book/show/390475.Introductory_Econometrics)
- [📕 Microeconomics and behaviour (2000)](https://www.goodreads.com/book/show/5986495-microeconomics-and-behavior)
- [📕 Debt: first 5000 years (2011)](https://www.goodreads.com/book/show/6617037-debt)
- [📕 How asia works: success and failure in the world’s most dynamic region (2013)](https://www.goodreads.com/book/show/16144575-how-asia-works)
- [📕 Capital in the twenty first century (2013)](https://www.goodreads.com/book/show/18736925-capital-in-the-twenty-first-century)
- [📕 Economics: the user's guide (2014)](https://www.goodreads.com/book/show/20613671-economics)

## Engineering

- [📕 Structures: or why things don't fall down (1978)](https://www.goodreads.com/book/show/245344.Structures)

## Evolution

- [📕 The selfish gene (1976)](https://www.goodreads.com/book/show/61535.The_Selfish_Gene)
- [📕 Darwin's dangerous idea (1995)](https://www.goodreads.com/book/show/2068.Darwin_s_Dangerous_Idea)
- [📕 Life ascending: the ten great inventions of evolution (2009)](https://www.goodreads.com/book/show/6429264-life-ascending)

## Environment

- [📕 Natural Capitalism (2001)](https://www.goodreads.com/book/show/24298924-natural-capitalism)
- [📕 Reinventing Fire (2013)](https://www.goodreads.com/book/show/12742309-reinventing-fire)
- [📕 Drawdown: The Most Comprehensive Plan Ever Proposed to Reverse Global Warming (2017)](https://www.drawdown.org/)
- [📕 Whole Earth Discipline (2009)](https://www.amazon.com/Whole-Earth-Discipline-Ecopragmatist-Manifesto/dp/0670021210)

## Fiction

- [📕 Notes from underground (1864)](https://www.goodreads.com/book/show/17876.Notes_from_Underground_White_Nights_The_Dream_of_a_Ridiculous_Man_and_Selections_from_The_House_of_the_Dead)
- [📕 Crime and punishment (1866)](https://www.goodreads.com/book/show/7144.Crime_and_Punishment)
- [📕 The idiot (1869)](https://www.goodreads.com/book/show/12505.The_Idiot)
- [📕 The brothers karamazov (1880)](https://www.goodreads.com/book/show/4934.The_Brothers_Karamazov)
- [📕 Flatland (1884)](https://www.goodreads.com/book/show/433567.Flatland)
- [📕 The picture of dorian gray (1890)](https://www.goodreads.com/book/show/5297.The_Picture_of_Dorian_Gray)
- [📕 The yellow wallpaper (1892)](https://www.goodreads.com/book/show/286957.The_Yellow_Wall_Paper)
- [📕 The iron heel (1908)](https://www.goodreads.com/book/show/929783.The_Iron_Heel)
- [📕 The ragged trousered philanthropists (1914)](https://www.goodreads.com/book/show/921359.The_Ragged_Trousered_Philanthropists)
- [📕 We (1924)](https://www.goodreads.com/book/show/76171.We)
- [📕 Heart of a dog (1925)](https://www.goodreads.com/book/show/113205.Heart_of_a_Dog)
- [📕 The great gatsby (1925)](https://www.goodreads.com/book/show/4671.The_Great_Gatsby)
- [📕 Brave new world (1932)](https://www.goodreads.com/book/show/5129.Brave_New_World)
- [📕 The glass bead game (1943)](https://www.goodreads.com/book/show/16634.The_Glass_Bead_Game)
- [📕 Animal farm (1945)](https://www.goodreads.com/book/show/7613.Animal_Farm)
- [📕 The plague (1947)](https://www.goodreads.com/book/show/11989.The_Plague)
- [📕 No longer human (1948)](http://en.wikipedia.org/wiki/No_Longer_Human)
- [📕 Nineteen eighty-four (1949)](https://www.goodreads.com/book/show/5470.1984)
- [📕 Bel: An essay on man in revolt (1951)](https://www.goodreads.com/book/show/11990.The_Rebel)
- [📕 East of eden (1952)](https://www.goodreads.com/book/show/4406.East_of_Eden)
- [📕 Fahrenheit 451 (1953)](https://www.goodreads.com/book/show/17470674-fahrenheit-451)
- [📕 The doors of perception (1954)](https://www.goodreads.com/book/show/3188964-the-doors-of-perception) - Details Aldous Huxley’s own experiences when taking mescaline.
- [📕 Lolita (1955)](https://www.goodreads.com/book/show/7604.Lolita)
- [📕 Atlas Shrugged (1957)](https://www.goodreads.com/book/show/662.Atlas_Shrugged?ac=1&from_search=true&qid=SF9r0WrtNA&rank=1)
- [📕 Doctor zhivago (1957)](https://www.goodreads.com/book/show/130440.Doctor_Zhivago)
- [📕 Flowers for algernon (1959)](https://my.mindnode.com/HnYCLfb3q3xZCVswbafBfoMeDKngVCT1jaa8vYyh)
- [📕 Catch-22 (1961)](https://www.goodreads.com/book/show/168668.Catch_22)
- [📕 Pale fire (1962)](https://www.goodreads.com/book/show/7805.Pale_Fire)
- [📕 Island (1962)](https://www.goodreads.com/book/show/5130.Island)
- [📕 We have always lived in the castle (1962)](https://www.goodreads.com/book/show/89724.We_Have_Always_Lived_in_the_Castle)
- [📕 One day in the life of ivan denisovich (1962)](https://www.goodreads.com/book/show/17125.One_Day_in_the_Life_of_Ivan_Denisovich)
- [📕 Monday begins on saturday (1964)](https://www.goodreads.com/review/show/742548546)
- [📕 Dune (1965)](https://www.goodreads.com/book/show/234225.Dune)
- [📕 Stoner (1965)](https://www.goodreads.com/book/show/166997.Stoner)
- [📕 Master and margarita (1967)](https://www.goodreads.com/book/show/117833.The_Master_and_Margarita)
- [📕 One hundred years of solitude (1967)](https://www.goodreads.com/book/show/320.One_Hundred_Years_of_Solitude)
- [📕 Slaughterhouse five (1969)](https://www.goodreads.com/book/show/4981.Slaughterhouse_Five)
- [📕 Roadside picnic (1972)](https://www.goodreads.com/book/show/331256.Roadside_Picnic)
- [📕 Augustus (1972)](https://www.goodreads.com/book/show/89231.Augustus)
- [📕 The forever war (1974)](https://www.goodreads.com/book/show/21611.The_Forever_War)
- [📕 The shining (1977)](https://www.goodreads.com/book/show/11588.The_Shining)
- [📕 1978: hitchhikers guide to the galaxy](https://www.goodreads.com/series/40957-hitchhiker-s-guide-to-the-galaxy)
- [📕 The soul of new machine (1981)](https://www.goodreads.com/book/show/7090.The_Soul_of_a_New_Machine)
- [📕 The wasp factory (1984)](https://www.goodreads.com/book/show/567678.The_Wasp_Factory)
- [📕 Blood meridian (1985)](https://www.goodreads.com/book/show/394535.Blood_Meridian_or_the_Evening_Redness_in_the_West)
- [📕 The silence of the lambs (1988)](https://www.goodreads.com/book/show/23807.The_Silence_of_the_Lambs)
- [📕 Geek love (1989)](https://www.goodreads.com/book/show/13872.Geek_Love)
- [📕 The remains of the day (1989)](https://www.goodreads.com/book/show/28921.The_Remains_of_the_Day)
- [📕 The story of B: an adventure of the mind and spirit (1996)](https://www.goodreads.com/book/show/214579.The_Story_of_B)
- [📕 Infinite jest (1996)](https://www.goodreads.com/book/show/6759.Infinite_Jest)
- [📕 The perks of being a wallflower (1999)](https://www.goodreads.com/book/show/22628.The_Perks_of_Being_a_Wallflower)
- [📕 Cryptonomicon (1999)](https://www.goodreads.com/book/show/816.Cryptonomicon)
- [📕 House of leaves (2000)](https://www.goodreads.com/book/show/24800.House_of_Leaves)
- [📕 The Bug (2003)](https://www.goodreads.com/book/show/138805.The_Bug)
- [📕 The road (2006)](https://www.goodreads.com/book/show/6288.The_Road)
- [📖 The metamorphosis of prime intellect (2007)](http://localroger.com/prime-intellect/mopiidx.html)
- [📕 The passage (2010)](https://www.goodreads.com/series/53226-the-passage)
- [📖 Harry potter and the methods of rationality (2015)](http://www.hpmor.com/wordpress/wp-content/uploads/2012/03/Harry-Potter-and-the-Methods-of-Rationality.pdf)
- [📖 Unsong (2017)](http://unsongbook.com/)

### Adventure

- [📕 The count of monte cristo (1844)](https://www.goodreads.com/book/show/7126.The_Count_of_Monte_Cristo)

### Comedy

- [📕 A confederacy of dunces (1980)](https://www.goodreads.com/book/show/310612.A_Confederacy_of_Dunces)

### Fantasy

- [📕 The stand (1978)](https://www.goodreads.com/book/show/149267.The_Stand)
- [📕 American gods (2001)](https://www.goodreads.com/book/show/30165203-american-gods)
- [📕 The night circus (2011)](https://www.goodreads.com/book/show/9361589-the-night-circus)

#### Fantasy series

- [📕 A song of ice and fire](https://www.goodreads.com/series/43790-a-song-of-ice-and-fire)
- [📕 The stormlight archive](https://www.goodreads.com/series/49075-the-stormlight-archive)
- [📕 The wheel of time](https://www.goodreads.com/series/41526-the-wheel-of-time)

### Short Stories

- [📖 Alice in Wonderland (1865)](https://www.holloway.com/g/alice-in-wonderland)
- [📕 Ficciones (1941-1956)](https://www.goodreads.com/book/show/426504.Ficciones)
- [📕 The little prince (1943)](https://www.goodreads.com/book/show/157993.The_Little_Prince)
- [📖 The last question (1956)](https://www.goodreads.com/book/show/4808763-the-last-question)
- [📕 Franz kafka: the complete stories (1971)](https://www.goodreads.com/book/show/22904.The_Complete_Stories)
- [📕 Understand (1991)](https://www.goodreads.com/book/show/7234685-understand)
- [📕 Story of your life (1998)](https://www.goodreads.com/book/show/223380.Stories_of_Your_Life_and_Others)
- [📖 The fable of the dragon-tyrant (2005)](http://www.nickbostrom.com/fable/dragon.html)

### Thriller

- [📕 And then there were none (1939)](https://www.goodreads.com/book/show/16299.And_Then_There_Were_None)

## Film Making

- [📕 On film making: an introduction to the craft of the director (2005)](https://www.goodreads.com/book/show/875419.On_Filmmaking)

## Finance

- [📕 The richest man in babylon (1926)](https://www.goodreads.com/book/show/1052.The_Richest_Man_in_Babylon)
- [📕 Rich dad poor dad (1997)](https://www.goodreads.com/book/show/69571.Rich_Dad_Poor_Dad)

## Fitness

- [📕 Starting strength: basic barbell training (2005)](https://www.goodreads.com/book/show/2098799.Starting_Strength)

## Functional programming

- [📕 Pearls of Functional Algorithm Design (2010)](https://www.goodreads.com/book/show/8693802-pearls-of-functional-algorithm-design)
- [📖 Mostly adequate guide to FP (in JavaScript)](https://drboolean.gitbooks.io/mostly-adequate-guide-old/content/)

## Future

- [📕 The second machine age (2014)](https://www.goodreads.com/book/show/23316526-the-second-machine-age)

## Game Development

- [📕 Tricks of the 3D game programming gurus-advanced 3D graphics and rasterisation (2003)](https://www.goodreads.com/book/show/2042298.Tricks_of_the_3D_Game_Programming_Gurus)
- [📕 Game Engine Architecture Book (2018)](https://www.gameenginebook.com/)
- [📕 Game programming patterns](http://gameprogrammingpatterns.com/)

## Graphic design

- [📕 The elements of typographic style (1992)](https://www.goodreads.com/book/show/44735.The_Elements_of_Typographic_Style)
- [📕 Logo design love (2015)](https://www.goodreads.com/book/show/6728983-logo-design-love)

## History

- [📕 The souls of black folk (1903)](https://www.goodreads.com/book/show/318742.The_Souls_of_Black_Folk)
- [📕 Gravity’s rainbow (1973)](https://www.goodreads.com/book/show/415.Gravity_s_Rainbow)
- [📕 The gulag archipelago (1973)](https://www.goodreads.com/book/show/70561.The_Gulag_Archipelago_1918_1956)
- [📕 American slavery, american freedom (1975)](https://www.goodreads.com/book/show/43365.American_Slavery_American_Freedom)
- [📕 A people’s history of the united states (1980)](https://www.goodreads.com/book/show/2767.A_People_s_History_of_the_United_States)
- [📕 Hackers: Heroes of the Computer Revolution (1984)](https://www.goodreads.com/book/show/56829.Hackers)
- [📕 The making of atomic bomb (1986)](https://www.goodreads.com/book/show/16884.The_Making_of_the_Atomic_Bomb)
- [📕 Lenin's tomb: the last days of the soviet empire (1993)](https://www.goodreads.com/book/show/113206.Lenin_s_Tomb)
- [📕 Why the allies won (1995)](https://www.goodreads.com/book/show/831378.Why_the_Allies_Won)
- [📕 Lies my teacher told me (1995)](https://www.goodreads.com/book/show/296662.Lies_My_Teacher_Told_Me)
- [📕 Guns, germs, and steel: the fates of human societies (1997)](https://www.goodreads.com/book/show/1842.Guns_Germs_and_Steel)
- [📕 Two hundred years together (2002)](https://www.goodreads.com/book/show/28008677-200-years-together-two-hundred-years-together?rating=2)
- [📕 Masters of doom (2003)](https://www.goodreads.com/book/show/222146.Masters_of_Doom)
- [📕 Stalin: the court of the red tsar (2003)](https://www.goodreads.com/book/show/282108.Stalin)
- [The Third Reich trilogy (2003-2008)](https://www.goodreads.com/book/show/3761596-the-third-reich-at-war)
  - [📕 The coming of the third reich](https://www.goodreads.com/book/show/319473.The_Coming_of_the_Third_Reich)
  - [📕 The third reich in power](https://www.goodreads.com/book/show/536788.The_Third_Reich_in_Power)
  - [📕 The third reich at war](https://www.goodreads.com/book/show/3761596-the-third-reich-at-war)
- [📕 Sapiens: a brief history of humankind (2011)](https://www.goodreads.com/book/show/23692271-sapiens)
- [📕 The origins of political order (2011)](https://www.goodreads.com/book/show/9704856-the-origins-of-political-order)
- [📕 The idea factory: bell labs and the great age of american innovation (2012)](https://www.goodreads.com/book/show/11797471-the-idea-factory)
- [📕 Memory Machines: The Evolution of Hypertext (2013)](https://www.goodreads.com/book/show/17867988)
- [📕 The sixth extinction: an unnatural history (2014)](https://www.goodreads.com/book/show/17910054-the-sixth-extinction)
- [📕 Political order and political decay (2014)](https://www.goodreads.com/book/show/20575435-political-order-and-political-decay)
- [📕 Conquerors: how portugal forged the first global empire (2015)](https://www.goodreads.com/book/show/25255039-conquerors)
- [📕 Homo deus: a brief history of tomorrow (2015)](https://www.goodreads.com/book/show/31138556-homo-deus)
- [📕 Beyond Germs: Native Depopulation in North America (2015)](https://www.goodreads.com/book/show/25362826-beyond-germs)

### Alternative history

- [📕 The man in the high castle (1962)](https://www.goodreads.com/book/show/216363.The_Man_in_the_High_Castle)

## Investing

- [📕 The intelligent investor (1949)](https://www.goodreads.com/book/show/106835.The_Intelligent_Investor)

## Kubernetes

- [📕 Kubernetes: Up & Running (2016)](https://www.goodreads.com/book/show/26759355-kubernetes)
- [📕 Getting Started with Kubernetes (2020 early-access)](https://www.manning.com/books/getting-started-with-kubernetes)
- [📕 Securing Kubernetes Secrets (2021 early-access)](https://www.manning.com/books/securing-kubernetes-secrets)
- [📕 Kubeflow in Action (2021 early-access)](https://www.manning.com/books/kubeflow-in-action)
- [📕 Kubernetes on Windows (2021 early-access)](https://www.manning.com/books/kubernetes-on-windows)
- [📕 Learn Kubernetes in a Month of Lunches (2021 early-access)](https://www.manning.com/books/learn-kubernetes-in-a-month-of-lunches)
- [📕 Kubernetes in Action, Second Edition](https://www.manning.com/books/kubernetes-in-action-second-edition)
- [📕 Acing the Certified Kubernetes Administrator Exam](https://www.manning.com/books/acing-the-certified-kubernetes-administrator-exam)

## Leadership

- [📕 The Five Dysfunctions of a Team: A Leadership Fable (2002)](https://www.goodreads.com/book/show/21343.The_Five_Dysfunctions_of_a_Team)

## Logic

- [📖 Introduction to Lambda Calculus (2000)](http://www.cse.chalmers.se/research/group/logic/TypesSS05/Extra/geuvers.pdf)
- [📖 The Haskell road to logic, math and programming (2004)](https://fldit-www.cs.uni-dortmund.de/~peter/PS07/HR.pdf)
- [📖 Logicomix (2008)](https://www.scribd.com/document/98921232/Bertrand-Russell-Logicomix)
- [forallx: Cambridge (2017)](http://people.ds.cam.ac.uk/tecb2/forallx.shtml) - Covers both truth-functional logic and first-order logic, introducing students to semantics and to a Fitch-style natural deduction system.

## Machine learning

- [📕 Paradigms of artificial intelligence programming (1991)](http://norvig.com/paip.html)
- [📕 Artificial intelligence a modern approach (1994)](https://www.goodreads.com/book/show/27543.Artificial_Intelligence)
- [📕 Machine learning (1997)](http://www.cs.cmu.edu/~tom/mlbook.html)
- [📖 The quest for artificial intelligence - a history of ideas and achievements (2009)](http://ai.stanford.edu/~nilsson/QAI/qai.pdf)
- [📕 Introduction to artificial intelligence (2011)](https://www.goodreads.com/book/show/11328752-introduction-to-artificial-intelligence)
- [📕 Machine learning: a probabilistic perspective (2012)](https://www.goodreads.com/book/show/15857489-machine-learning)
- [📖 The Nature of Code (2012)](http://natureofcode.com/book/)
- [📕 Superintelligence: paths, dangers, strategies (2014)](https://www.goodreads.com/book/show/20527133-superintelligence)
- [📖 Understanding machine learning: from theory to algorithms (2014)](http://www.cs.huji.ac.il/%7Eshais/UnderstandingMachineLearning/understanding-machine-learning-theory-algorithms.pdf)
- [📖 Neural Networks and Deep Learning (2015)](http://neuralnetworksanddeeplearning.com/index.html)
- [📕 Deep Larning with Python (2017)](https://www.goodreads.com/book/show/33986067-deep-learning-with-python)
- [📕 Tensorflow machine learning cookbook (2017)](https://www.packtpub.com/big-data-and-business-intelligence/tensorflow-machine-learning-cookbook)
  - [Code](https://github.com/nfmcclure/tensorflow_cookbook)
- [📕 Hands-On Machine Learning with Scikit-Learn and TensorFlow (2017)](https://www.goodreads.com/book/show/32899495-hands-on-machine-learning-with-scikit-learn-and-tensorflow)
- [📕 Machine Learning with Go (2017)](https://www.packtpub.com/big-data-and-business-intelligence/machine-learning-go) - Build simple, maintainable, and easy to deploy machine learning applications.
- [📖 Interpretable Machine Learning (2018)](https://christophm.github.io/interpretable-ml-book/index.html)
- [📖 Deep learning](http://www.deeplearningbook.org/)
- [📖 Interpretable machine learning (2018)](https://christophm.github.io/interpretable-ml-book/) - Explaining the decisions and behavior of machine learning models.
- [📕 How Machine Learning Works (2019)](https://www.manning.com/books/how-machine-learning-works)- An introduction to both ML's practice and math foundations in a non-threatning approach.
  - [Code](https://github.com/Mostafa-Samir/How-Machine-Learning-Works)
- [📕 Grokking Deep Learning (2019)](https://www.goodreads.com/book/show/31565758-grokking-deep-learning)
- [📕 MachineLearningWithTensorFlow2ed (2020)](https://www.manning.com/books/machine-learning-with-tensorflow-second-edition) - Book on general purpose machine learning techniques regression, classification, unsupervised clustering, reinforcement learning, auto encoders, convolutional neural networks, RNNs, LSTMs, using TensorFlow 1.14.1.
- [📕 Machine Learning Bookcamp (2020)](https://www.manning.com/books/machine-learning-bookcamp) - Project-based approach to learning machine learning.
- [📕 Trust in Machine Learning (2021)](https://www.manning.com/books/trust-in-machine-learning) - Book about how to build machine learning systems that are explainable, robust, transparent, and optimized for fairness.
- [📖 Distributed Machine Learning Patterns (2023)](https://github.com/terrytangyuan/distributed-ml-patterns) - Distributed machine learning system patterns.

## Management

- [📕 The mythical man-month (1975)](https://www.goodreads.com/book/show/13629.The_Mythical_Man_Month)
  - [Notes](https://github.com/andrewwoz/the-mythical-man-month-notes)
- [📕 High output management (1983)](https://www.goodreads.com/book/show/324750.High_Output_Management)
- [📕 The essential drucker](https://www.goodreads.com/book/show/48016.The_Essential_Drucker)

## Math

- [📖 A mathematician's apology (1940)](https://www.math.ualberta.ca/mss/misc/A%20Mathematician's%20Apology.pdf)
- [📕 Handbook of mathematics (1945)](https://www.goodreads.com/book/show/1904487.Handbook_of_Mathematics)
- [📕 Fantasia mathematica (1958)](https://www.goodreads.com/book/show/74703.Fantasia_Mathematica)
- [📕 Gödel's proof (1958)](https://www.goodreads.com/book/show/695429.G_del_s_Proof)
- [📕 Sphereland (1965)](https://www.goodreads.com/book/show/469314.Sphereland)
- [📖 Topology from a differentiable viewpoint (1965)](http://www.maths.ed.ac.uk/~aar/papers/milnortop.pdf)
- [📖 An introduction to commutative algebra (1969)](http://wstein.org/edu/2010/581b/books/atiyah-macdonald-introduction_to_commutative_algebra.pdf)
- [📕 Mathematics made difficult (1972)](https://www.goodreads.com/book/show/3693042-mathematics-made-difficult)
- [📖 A course in arithmetic (1973)](https://www.math.purdue.edu/~lipman/MA598/Serre-Course%20in%20Arithmetic.pdf)
- [📖 Introductory functional analysis with applications (1978)](http://www-personal.acfr.usyd.edu.au/spns/cdm/resources/Kreyszig%20-%20Introductory%20Functional%20Analysis%20with%20Applications.pdf)
- [📕 A book of abstract algebra (1982)](https://www.goodreads.com/book/show/8295305-a-book-of-abstract-algebra)
- [📕 To mock a mockingbird (1985)](https://www.goodreads.com/book/show/194769.To_Mock_a_Mockingbird_and_Other_Logic_Puzzles)
- [📖 Proofs and types (1989)](http://www.paultaylor.eu/stable/prot.pdf)
- [📕 Primes of the Form X2 + Ny2: Fermat, Class Field Theory, and Complex Multiplication (1989)](https://www.goodreads.com/book/show/507227.Primes_of_the_Form_X2_Ny2)
- [📕 Algebraic Number Theory (1992)](https://www.goodreads.com/book/show/4556825-algebraic-number-theory)
- [📕 Concrete mathematics (1994)](https://www.goodreads.com/book/show/112243.Concrete_Mathematics)
- [📕 How to prove it (1994)](https://www.goodreads.com/book/show/739735.How_to_Prove_It)
- [📕 Linear algebra done right (1995)](https://www.goodreads.com/book/show/309768.Linear_Algebra_Done_Right)
- [📕 Algebraic Curves and Riemann Surfaces (1995)](https://www.goodreads.com/book/show/1279700.Algebraic_Curves_and_Riemann_Surfaces)
- [📕 Visual complex analysis (1997)](https://www.goodreads.com/book/show/149800.Visual_Complex_Analysis)
- [📕 Conceptual Mathematics: A First Introduction To Categories (1997)](https://www.goodreads.com/book/show/1511125.Conceptual_Mathematics)
- [📕 Geometry and the imagination (1999)](https://www.goodreads.com/book/show/719289.Geometry_and_the_Imagination)
- [📕 Combinatorial Optimization: Polyhedra and Efficiency (2002)](https://www.goodreads.com/book/show/1186653.Combinatorial_Optimization)
- [📖 Sets for Mathematics (2003)](http://patryshev.com/books/Sets%20for%20Mathematics.pdf)
- [📕 A first course in linear algebra (2004)](http://linear.ups.edu/)
- [📕 The art of problem solving (2006)](https://www.goodreads.com/book/show/2872282-the-art-of-problem-solving-volume-1)
- [📕 The princeton companion to mathematics (2008)](https://www.goodreads.com/book/show/1471873.The_Princeton_Companion_to_Mathematics)
- [📕 Visual group theory (2009)](https://www.goodreads.com/book/show/7629307-visual-group-theory-maa-classroom-resource-materials)
- [📕 Algebra: Chapter 0 (2009)](https://www.goodreads.com/book/show/6829004)
- [📕 Essentials of discrete mathematics (2009)](https://www.goodreads.com/book/show/12132668-essentials-of-discrete-mathematics)
- [📕 Computational Topology: An Introduction (2010)](https://www.goodreads.com/book/show/7518301-computational-topology)
- [📕 Foundations of analysis (2012)](https://www.goodreads.com/book/show/682044.Foundations_of_Mathematical_Analysis)
- [📖 Homotopy type theory (2013)](https://hott.github.io/book/nightly/hott-online-1075-g3c53219.pdf)
- [📖 The napkin project (2017)](https://usamo.files.wordpress.com/2017/02/napkin-2017-02-15.pdf)
- [📖 Mathematics for computer science (2017)](https://courses.csail.mit.edu/6.042/spring17/mcs.pdf)
- [📖 Immersive linear algebra (2017)](http://immersivemath.com/ila/index.html)
- [📕 Programmer's Introduction to Mathematics (2018)](https://pimbook.org/)
- [📕 Physically based rendering: from theory to implementation](http://www.pbrt.org/)
- [📕 Invitation to ergodic theory](http://bookstore.ams.org/stml-42)
- [📖 Abstract Algebra: Theory and Applications](http://abstract.ups.edu/download/aata-20160809-sage-7.3.pdf)
- [📖 Linear algebra](http://joshua.smcvt.edu/linearalgebra/book.pdf)

## Memoirs

- [📕 Walden (1854)](https://www.goodreads.com/book/show/16902.Walden)
- [📕 The world of yesterday (1942)](https://www.goodreads.com/book/show/629429.The_World_of_Yesterday)
- [📕 On writing (2000)](https://www.goodreads.com/book/show/10569.On_Writing)
- [📕 A thousand tiny failures: memoirs of a pickup artist (2014)](https://www.goodreads.com/book/show/18711276-a-thousand-tiny-failures)

## Mindset

- [📕 Tao te ching (6th century BC)](https://www.goodreads.com/book/show/67896.Tao_Te_Ching)
- [📕 Meditations (161)](https://www.goodreads.com/book/show/30659.Meditations)
- [📕 The Zen Teaching of Huang Po: On the Transmission of Mind (857)](https://www.goodreads.com/book/show/276779.The_Zen_Teaching_of_Huang_Po)
- [📕 Siddhartha (1922)](https://www.goodreads.com/book/show/52036.Siddhartha)
- [📕 How to win friends and influence people (1936)](https://www.goodreads.com/book/show/4865.How_to_Win_Friends_and_Influence_People)
- [📕 Think and grow rich (1937)](https://www.goodreads.com/book/show/30186948-think-and-grow-rich)
- [📕 The stranger (1942)](https://www.goodreads.com/book/show/49552.The_Stranger)
- [📕 Man’s search for meaning (1946)](https://www.goodreads.com/book/show/4069.Man_s_Search_for_Meaning)
- [📖 The wisdom of insecurity: a message for an age of anxiety (1951)](https://antilogicalism.files.wordpress.com/2017/07/wisdom-of-insecurity.pdf)
- [📕 The first and last freedom (1954)](https://www.goodreads.com/book/show/64710.The_First_and_Last_Freedom)
- [📕 The way of zen (1957)](https://www.goodreads.com/book/show/514210.The_Way_of_Zen)
- [📕 The book on the taboo against knowing who you are (1966)](https://www.goodreads.com/book/show/60551.The_Book_on_the_Taboo_Against_Knowing_Who_You_Are)
- [📕 Zen Mind, Beginner's Mind: Informal Talks on Zen Meditation and Practice (1970)](https://www.goodreads.com/book/show/402843.Zen_Mind_Beginner_s_Mind)
- [📕 Be here now (1971)](https://www.goodreads.com/book/show/29254.Be_Here_Now)
- [📕 The Way of the Bodhisattva (1971)](https://www.goodreads.com/book/show/301928.The_Way_of_the_Bodhisattva)
- [📕 The inner game of tennis (1974)](https://www.goodreads.com/book/show/905.The_Inner_Game_of_Tennis)
- [📕 The 7 habits of highly effective people (1989)](https://www.goodreads.com/book/show/36072.The_7_Habits_of_Highly_Effective_People)
- [📕 The Zen Teaching of Bodhidharma (1989)](https://www.goodreads.com/book/show/238863.The_Zen_Teaching_of_Bodhidharma)
- [📕 Peace is every step (1990)](https://www.goodreads.com/book/show/14572.Peace_Is_Every_Step)
- [📖 Mindfulness in plain english (1992)](http://misc.equanimity.info/downloads/mindfulness_in_plain_english.pdf)
- [📕 Mastery: the keys to success and long term fulfilment (1992)](https://www.goodreads.com/book/show/81940.Mastery)
- [📕 The Four Noble Truths (1992)](https://www.goodreads.com/book/show/25103623-the-four-noble-truths)
- [📕 No Ajahn Chah: Reflections (1994)](https://www.goodreads.com/book/show/1948802.No_Ajahn_Chah)
- [📕 The Art of Happiness (1998)](https://www.goodreads.com/book/show/38210.The_Art_of_Happiness)
- [📕 The Quantum and the Lotus (2000)](https://www.goodreads.com/book/show/222652.The_Quantum_and_the_Lotus)
- [📕 Emptiness dancing (2004)](https://www.goodreads.com/book/show/190055.Emptiness_Dancing)
- [📕 Mindfulness, Bliss, and Beyond: A Meditator's Handbook (2006)](https://www.goodreads.com/book/show/206625.Mindfulness_Bliss_and_Beyond)
- [📕 Eating animals (2009)](https://www.goodreads.com/book/show/6604712-eating-animals)
- [📕 The happiness advantage (2010)](https://www.goodreads.com/book/show/9484114-the-happiness-advantage)
- [📕 Models (2011)](https://www.goodreads.com/book/show/12633800-models)
- [📕 Mastery (2012)](https://www.goodreads.com/book/show/13589182-mastery)
- [📕 A mind for numbers: how to excel at math and science (2014)](https://www.goodreads.com/book/show/18693655-a-mind-for-numbers)
- [📕 Spaciousness: The Radical Dzogchen of the Vajra-Heart: Longchenpa's Treasury of the Dharmadhatu (2014)](https://www.goodreads.com/book/show/22783031-spaciousness)
- [📕 Waking up: a guide to spirituality without religion (2014)](https://www.goodreads.com/book/show/18774981-waking-up)
- [📕 Deep Work: Rules for Focused Success in a Distracted World (2016)](https://www.goodreads.com/book/show/25744928)
- [📕 The Subtle Art of Not Giving a F*ck: A Counterintuitive Approach to Living a Good Life(2016)](https://www.goodreads.com/book/show/28257707-the-subtle-art-of-not-giving-a-f-ck)
- [📕 The Daily Stoic: 366 Meditations for Clarity, Effectiveness, and Serenity (2016)](https://www.goodreads.com/book/show/29093292-the-daily-stoic)
- [📖 Concentration and meditation](http://krishnamurti.abundanthope.org/index_htm_files/Concentration-and-Meditation.pdf)

## Minimalism

- [📕 Goodbye, Things: The New Japanese Minimalism (2017)](https://www.goodreads.com/book/show/30231806-goodbye-things)

## Music production

- [📕 Harmony for Computer Musicians (2010)](https://www.goodreads.com/book/show/8441567-harmony-for-computer-musicians)

## Neuroscience

- [📕 The man who mistook his wife for a hat (1985)](https://www.goodreads.com/book/show/63697.The_Man_Who_Mistook_His_Wife_for_a_Hat_and_Other_Clinical_Tales)
- [📕 Descartes' error (1994)](https://www.goodreads.com/book/show/103867.Descartes_Error)
- [📕 The Body Electric: Electromagnetism and the Foundation of Life (1998)](https://www.goodreads.com/book/show/277641.The_Body_Electric)
- [📕 Principles of neural science (2000)](https://www.goodreads.com/book/show/826396.Principles_of_Neural_Science)
- [📕 Molecular basis of neuropharmacology: a foundation for clinical neuroscience (2001)](https://www.goodreads.com/book/show/818044.Molecular_Basis_of_Neuropharmacology)
- [📕 Synaptic self: how our brains become who we are (2002)](https://www.goodreads.com/book/show/151132.Synaptic_Self)
- [📕 The Brain That Changes Itself (2007)](https://www.goodreads.com/book/show/570172.The_Brain_That_Changes_Itself)

## Non Fiction

- [📕 Homage to catalonia (1938)](https://www.goodreads.com/book/show/9646.Homage_to_Catalonia)
- [📕 Into thin air (1997)](https://www.goodreads.com/book/show/1898.Into_Thin_Air)
- [📕 Damned lies and statistics (2001)](https://www.goodreads.com/book/show/51289.Damned_Lies_and_Statistics)
- [📕 Coders at work: reflections on the craft of programming (2009)](https://www.goodreads.com/book/show/6713575-coders-at-work)

## Nutrition

- [📕 Advanced Nutrition and Human Metabolism (1995)](https://www.goodreads.com/book/show/1387387.Advanced_Nutrition_and_Human_Metabolism_With_Infotrac_)
- [📕 The Poor, Misunderstood Calorie: Calories Proper (2012)](https://www.goodreads.com/book/show/15874542-the-poor-misunderstood-calorie)
- [📕 Gut: The Inside Story of Our Body’s Most Underrated Organ (2014)](https://www.goodreads.com/book/show/23013953-gut)
- [📕 How not to die (2015)](https://www.goodreads.com/book/show/25663961-how-not-to-die)

## Operating Systems

- [📕 Operating system concepts (1983)](https://www.goodreads.com/book/show/83833.Operating_System_Concepts)
- [📕 Modern operating systems (1992)](https://www.goodreads.com/book/show/166195.Modern_Operating_Systems)
- [📕 Programming with Posix Threads (1993)](https://www.goodreads.com/book/show/987956.Programming_with_Posix_Threads)
- [📖 An efficient implementation of fundamental operating system services (1992)](http://valerieaurora.org/synthesis/SynthesisOS/ch1.html)
- [📖 Operating Systems: From 0 to 1](https://github.com/tuhdo/os01)
- [📖 intermezzOS](https://intermezzos.github.io/book/second-edition/)

### iOS

- [📕 iOS 10 programming fundamentals with swift (2015)](http://shop.oreilly.com/product/0636920055211.do)

### Linux

- [📕 How linux works (2014)](https://www.goodreads.com/book/show/514432.How_Linux_Works)
- [📖 linux-insides](https://0xax.gitbooks.io/linux-insides/content/index.html)

### MacOS

- [📕 Mac OS X and IOS Internals: To the Apple's Core, Volume 1 User Mode (2015)](https://www.goodreads.com/book/show/24730644-mac-os-x-and-ios-internals)

## Philosophy
- [📖 Tao of Seneca Volume 1 (1925)](https://tim.blog/wp-content/uploads/2017/07/taoofseneca_vol1-1.pdf)
- [📖 Tao of Seneca Volume 2 (1925)](https://tim.blog/wp-content/uploads/2017/07/taoofseneca_vol2.pdf)
- [📖 Tao of Seneca Volume 3 (1925)](https://tim.blog/wp-content/uploads/2017/07/taoofseneca_vol3.pdf)
- [📕 Godel, escher, bach (1979)](https://www.goodreads.com/book/show/24113.G_del_Escher_Bach) - Explores fundamental concepts of mathematics, symmetry and intelligence and how they interlink.
  - [Lecture notes](https://ocw.mit.edu/high-school/humanities-and-social-sciences/godel-escher-bach/lecture-notes/)
  - [Course on the book](https://www.youtube.com/playlist?list=PL068ES-0ca9CSIp5OPGI5RXB3k5XgYRxF)
  - [Python implementation of formal systems from the book](https://github.com/alexprengere/FormalSystems)
- [📕 Prometheus rising (1983)](https://www.goodreads.com/book/show/28597.Prometheus_Rising)
- [📕 Finite and infinite games (1986)](https://www.goodreads.com/book/show/189989.Finite_and_Infinite_Games)
- [📕 The stuff of thought (2007)](https://www.goodreads.com/book/show/373969.The_Stuff_of_Thought)

## Physics

- [📕 Relativity: the special and the general theory (1916)](https://www.goodreads.com/book/show/15852.Relativity)
- [📕 University physics with modern physics](https://my.mindnode.com/1M2ZVqow9pgJ95qwCH7hnwFWdRL8sDcMQqx5b3z9)
  - [Notes](http://web.sbu.edu/physics/courses/physics-203p.pdf)
- [📕 Nonlinear dynamics and chaos (1994)](https://www.goodreads.com/book/show/116164.Nonlinear_Dynamics_and_Chaos)
- [📕 Pale blue dot (1994)](https://www.goodreads.com/book/show/61663.Pale_Blue_Dot)
- [📕 Black holes and time warps (1994)](https://www.goodreads.com/book/show/17362.Black_Holes_Time_Warps)
- [📕 The fabric of the cosmos (2004)](https://www.goodreads.com/book/show/22435.The_Fabric_of_the_Cosmos)
- [📕 Fields of colour: the theory that escaped Einstein (2010)](https://www.goodreads.com/book/show/13485212-fields-of-color)
- [📕 The theoretical minimum (2013)](https://www.goodreads.com/book/show/13587145-the-theoretical-minimum)
- [📖 The feynman lectures on physics (2013)](http://feynmanlectures.caltech.edu/)

## Poetry

- [📕 Letters to a Young Poet (1929)](https://www.goodreads.com/book/show/46199)

## Politics

- [📕 The road to serfdom (1944)](https://www.goodreads.com/book/show/299215.The_Road_to_Serfdom)
- [📕 The anatomy of the state (1974)](https://www.goodreads.com/book/show/6613404-anatomy-of-the-state)
- [📕 Understanding power: the indispensable chomsky (2002)](https://www.goodreads.com/book/show/194805.Understanding_Power)
- [📕 The dictator's handbook: why bad behaviour is almost always good politics (2011)](https://www.goodreads.com/book/show/11612989-the-dictator-s-handbook)
- [📕 The democracy project: a history, a crisis, a movement (2013)](https://www.goodreads.com/book/show/13330433-the-democracy-project)

## Programming interviews

- [📕 Cracking the coding interview (2008)](https://www.goodreads.com/book/show/12544648-cracking-the-coding-interview)
  - [Solutions in swift](https://github.com/careercup/CtCI-6th-Edition-Swift)
- [📕 Elements of programming interviews (2012)](https://www.goodreads.com/book/show/16253895-elements-of-programming-interviews)
  - [Solutions in Go](https://github.com/mykoweb/epi-go)
  - [Solutions in Python](https://github.com/akshaykumar90/sparkling-water)
  - [Solutions in Java](https://github.com/qtstc/Elements-of-Programming-Interviews-Java-Solution)
  - [solutions in c++](https://github.com/adnanaziz/epicode)

## Programming language design

- [📖 Beautiful racket](http://beautifulracket.com/)

## Programming languages

- [📖 Programming languages: application and interpretation (2012)](http://cs.brown.edu/courses/cs173/2012/book/book.pdf)
- [📖 Crafting interpreters (2012)](http://www.craftinginterpreters.com/introduction.html)

### Assembly

- [📖 Assembly language succinctly (2014)](https://www.syncfusion.com/resources/techportal/details/ebooks/assemblylanguage)

### C

- [📕 The C programming language (1975)](https://www.goodreads.com/book/show/515601.The_C_Programming_Language)
- [📕 21st century C (2014)](http://shop.oreilly.com/product/0636920033677.do)
- [📖 Modern C (2019)](https://gforge.inria.fr/frs/download.php/latestfile/5298/ModernC.pdf)

### C++

- [📕 C++ core guidelines (2017)](https://github.com/isocpp/CppCoreGuidelines/blob/master/CppCoreGuidelines.md)
- [📕 A Tour of C++ (2013)](https://www.goodreads.com/book/show/18197265-a-tour-of-c) - Very concise, updates readers with prior knowledge of C++ to modern C++11.
- [📕 Beginning C++ Through Game Programming (2004)](https://www.goodreads.com/book/show/852335.Beginning_C_Through_Game_Programming)

### Clojure

- [📕 Elements of Clojure (2017)](https://www.goodreads.com/book/show/31159768-elements-of-clojure)
- [📕 Clojure in Action (2015)](https://www.manning.com/books/clojure-in-action-second-edition)
- [📕 Joy of Clojure (2014)](https://www.manning.com/books/the-joy-of-clojure-second-edition) - Quite deep, not for beginners, but superb in combination with "Clojure in Action".

### D

- [📕 The D programming language (2010)](http://amzn.to/1ZTDmqH)
- [📖 Programming in D (2015)](http://ddili.org/ders/d.en/index.html)

### Go

- [📖 Network programming with Go (2012)](https://jan.newmarch.name/go/)
- [📖 The little go book (2014)](http://openmymind.net/The-Little-Go-Book/)
- [📖 Go in action (2015)](https://github.com/iMarcoGovea/books/blob/master/golang/go-in-action.pdf)
- [📖 Go in action, Second Edition (2022)](https://www.manning.com/books/go-in-action-second-edition)
- [📕 The go programming language (2015)](https://www.goodreads.com/book/show/25080953-the-go-programming-language)
  - [Notes](https://github.com/namit/The-Go-Programming-Language)
- [📖 Go 101 (2018)](https://go101.org/article/101.html)
- [📖 Web app with go - anti text book](https://thewhitetulip.gitbooks.io/webapp-with-golang-anti-textbook/content/)
- [📖 Build web application with golang](https://github.com/astaxie/build-web-application-with-golang/blob/master/en/preface.md)
  - [Multiple Language Versions](https://github.com/astaxie/build-web-application-with-golang#multiple-language-versions)
- [📖 Learn Concurrent Programming with Go (2022)](https://www.manning.com/books/learn-concurrent-programming-with-go)

### Haskell

- [📖 Learn You a Haskell for Great Good! (2011)](http://learnyouahaskell.com/)
- [📖 Write you a Haskell (2014)](http://dev.stephendiehl.com/fun/)
  - [Implementation in code](https://github.com/AlphaMarc/WYAH)
- [📕 Programming in Haskell (2016)](https://www.goodreads.com/book/show/912217.Programming_in_Haskell)
- [📕 Haskell in Depth (2018)](https://www.manning.com/books/haskell-in-depth) - Explores the important language features and programming skills you’ll need to build production-quality software using Haskell.
- [📕 Thinking with Types (2018)](https://leanpub.com/thinking-with-types) - Type-Level Programming in Haskell.
- [📕 The Haskell School of Music (2018)](https://www.goodreads.com/book/show/18299474-the-haskell-school-of-music)

### Java

- [📕 Effective java (2001)](https://www.goodreads.com/book/show/105099.Effective_Java_Programming_Language_Guide)
  - [Code examples](https://github.com/marhan/effective-java-examples)
  - [Notes](https://github.com/jwongo/effectivejava)
- [📖 Data structures and algorithms in java (2003)](http://coltech.vnu.edu.vn/~sonpb/DSA/Data%20Structures%20and%20Algorithms%20in%20Java,%206th%20Edition,%202014.pdf)
- [📕 Java concurrency in practice (2006)](http://jcip.net/)
- [📖 Introduction to programming in java: an interdisciplinary approach (2008)](http://introcs.cs.princeton.edu/java/home/chapter1.pdf)
- [📕 Java 8 in action (2014)](https://www.goodreads.com/book/show/20534354-java-8-in-action)
- [📕 Test-driven Java development (2015)](https://www.goodreads.com/book/show/26333479-test-driven-java-development)
- [📕 Java SE 11 Programmer I Certification Guide (2020 early-access)](https://www.manning.com/books/java-se-11-programmer-i-certification-guide)
- [📕 Java by Comparison (2018)](https://www.goodreads.com/book/show/39339133-java-by-comparison)
  - [Code examples](https://github.com/javabycomparison/samplecode)
- [📕 Java: The Complete Reference (2011)](https://www.goodreads.com/book/show/12545373-java)

### JavaScript

- [📖 You don’t know JS](https://github.com/getify/You-Dont-Know-JS)
  - [📖 Up and going](https://github.com/getify/You-Dont-Know-JS/tree/master/up%20%26%20going)
  - [📖 Scope and closures](https://github.com/getify/You-Dont-Know-JS/blob/master/scope%20&%20closures/readme.md#you-dont-know-js-scope--closures)
  - [📖 This and object prototypes](https://github.com/getify/You-Dont-Know-JS/blob/master/this%20&%20object%20prototypes/readme.md#you-dont-know-js-this--object-prototypes)
  - [📖 Types and grammar](https://github.com/getify/You-Dont-Know-JS/blob/master/types%20&%20grammar/readme.md#you-dont-know-js-types--grammar)
  - [📖 Async and performance](https://github.com/getify/You-Dont-Know-JS/blob/master/async%20&%20performance/readme.md#you-dont-know-js-async--performance)
  - [📖 ES6 and beyond](https://github.com/getify/You-Dont-Know-JS/blob/master/es6%20&%20beyond/readme.md#you-dont-know-js-es6--beyond)
- [📖 Exploring js](http://exploringjs.com/)
- [📖 Builder Book: Build a Full Stack JavaScript Web App from Scratch (2018)](https://builderbook.org)
- [📖 The JavaScript way (2017)](https://leanpub.com/thejsway)
- [📖 Learning JavaScript design patterns (2015)](https://addyosmani.com/resources/essentialjsdesignpatterns/book/)
- [📕 Secrets of the JavaScript Ninja (2013)](https://www.goodreads.com/book/show/4373732-secrets-of-the-javascript-ninja)
- [📕 Effective JavaScript: 68 specific ways to harness the power of JavaScript (2012)](https://www.goodreads.com/book/show/13705402-effective-javascript)
- [📖 Eloquent JavaScript (2011)](http://eloquentjavascript.net/00_intro.html)
- [📕 JavaScript: The Good Parts (2008)](https://www.goodreads.com/book/show/2998152-javascript)
- [📕 Tiny Node Projects (2022)](https://www.manning.com/books/tiny-node-projects)

### Kotlin

- [📖 The Joy of Kotlin (2019)](https://livebook.manning.com/book/the-joy-of-kotlin/about-this-book/)
- [📕 Head First Kotlin (2019)](https://www.goodreads.com/book/show/40014285-head-first-kotlin)
- [📖 Kotlin in Action (2017)](https://livebook.manning.com/book/kotlin-in-action/about-this-book/)

### Lisp

- [📕 The little schemer (1974)](https://mitpress.mit.edu/books/little-schemer)
- [📕 Lisp in small pieces (1994)](https://pages.lip6.fr/Christian.Queinnec/WWW/LiSP.html)
- [📖 Practical Common Lisp (2005)](http://www.gigamonkeys.com/book/)

### OCaml

- [📖 Real World OCaml (2018)](http://dev.realworldocaml.org/)

### Perl

- [📖 Modern Perl (2016)](http://modernperlbooks.com/books/modern_perl_2016/index.html)

### PowerShell

- [📕 Learn PowerShell in a Month of Lunches, Linux and macOS Edition (2019)](https://www.manning.com/books/learn-powershell-in-a-month-of-lunches-linux-and-macos-edition)

### Prolog

- [📖 The Power of Prolog (2018)](https://www.metalevel.at/prolog)
- [📖 Logic Programming with Prolog (2005)](https://drive.uqu.edu.sa/_/fbshareef/files/textbook.pdf)

### Purescript

- [📖 Purescript book (2017)](https://github.com/paf31/purescript-book)

### Python

- [📕 Python essential reference (1999)](https://www.goodreads.com/book/show/6666430-python-essential-reference)
- [📖 Dive into python 3 (2004)](http://www.diveintopython3.net/)
- [📖 Problem solving with algorithms and data structures using python (2005)](http://interactivepython.org/runestone/static/pythonds/index.html)
- [📖 Python cookbook (2011)](https://d.cxcore.net/Python/Python_Cookbook_3rd_Edition.pdf)
- [📕 Data structures and algorithms in python (2013)](https://www.goodreads.com/book/show/13838796-data-structures-and-algorithms-in-python)
- [📕 Test driven development with python (2014)](https://www.goodreads.com/book/show/17912811-test-driven-web-development-with-python)
- [📕 Effective python (2015)](https://www.goodreads.com/book/show/23020812-effective-python)
- [📕 Fluent python (2015)](https://www.goodreads.com/book/show/22800567-fluent-python)
- [📖 Think Python: How to Think Like a Computer Scientist (2015)](https://greenteapress.com/thinkpython2/html/index.html)
- [📖 Inside the python virtual machine (2017)](https://leanpub.com/insidethepythonvirtualmachine)
- [📖 Full Speed Python (2018)](https://github.com/joaoventura/full-speed-python)
- [📖 Automate the boring stuff with python](https://automatetheboringstuff.com/)
- [📕 Practices of the Python Pro (2020)](https://www.goodreads.com/book/show/45361469-practices-of-the-python-pro)
- [📕 Let's Talk Python (2022)](https://github.com/stjepanjurekovic/books/edit/master/readme.md) - children friendly

### R

- [📖 R for Data Science (2017)](http://r4ds.had.co.nz/)

### ReasonML

- [📖 Exploring ReasonML (2018)](http://reasonmlhub.com/exploring-reasonml/toc.html)

### Ruby

- [📕 The well grounded rubyist (2009)](https://www.goodreads.com/book/show/3892688-the-well-grounded-rubyist)
- [📕 Eloquent ruby (2011)](https://www.goodreads.com/book/show/9364729-eloquent-ruby)
- [📕 Practical object oriented design in ruby (2012)](https://www.goodreads.com/book/show/13507787-practical-object-oriented-design-in-ruby)
  - [Code solutions](https://github.com/skmetz/poodr)
  - [Notes](https://github.com/jordanpoulton/practical_object_oriented_design_in_ruby)
  - [Go implementation](https://github.com/nathany/go-poodr)
- [📕 Confident ruby (2013)](https://www.goodreads.com/book/show/15847933-confident-ruby)

### Rust

- [📖 Rust by example](http://rustbyexample.com/)
- [📖 The rust programming language](https://doc.rust-lang.org/book/)
- [📖 The rustonomicon](https://doc.rust-lang.org/nomicon/)
- [📖 Discovery](https://rust-embedded.github.io/discovery/#scope) - Discover the world of microcontrollers through Rust.
- [📖 Rust and WebAssembly (2018)](https://rustwasm.github.io/book/)

### Scala

- [📕 Functional programming in scala (2014)](https://www.manning.com/books/functional-programming-in-scala)

### Smalltalk

- [📕 Smalltalk best practice patterns (1997)](https://www.goodreads.com/book/show/781561.Smalltalk_Best_Practice_Patterns)

### Swift

- [📖 Swift programming language (2014)](https://developer.apple.com/library/content/documentation/Swift/Conceptual/Swift_Programming_Language/)
  - [Swift Cheat sheet](https://github.com/jugend/swift-cheat-sheet)
- [📕 Hacking with macOS (2018)](https://www.hackingwithswift.com/store/hacking-with-macos)

### TypeScript

- [📕 Effective TypeScript: 62 Specific Ways to Improve Your TypeScript (2019)](https://www.goodreads.com/book/show/48570456)
  - [Notes](https://github.com/danvk/effective-typescript)
- [📖 Typescript deep dive](https://basarat.gitbooks.io/typescript/)
- [📖 SaaS Boilerplate Book: Build a Production-Ready SaaS Web App from Scratch (2020)](https://builderbook.org/book)


### Agda

- [📖 Programming Language Foundations in Agda (2018)](https://plfa.github.io/)

## Programming

- [📕 The art of computer programming (1968-)](https://www.goodreads.com/book/show/112239.The_Art_of_Computer_Programming_Volumes_1_3_Boxed_Set)
- [📕 The psychology of computer programming (1971)](https://www.goodreads.com/book/show/1660754.The_Psychology_of_Computer_Programming)
- [📕 The elements of programming style (1974)](https://www.goodreads.com/book/show/454039.The_Elements_of_Programming_Style)
- [📕 Software reliability: principles and practices (1976)](https://www.goodreads.com/book/show/2383920.Software_Reliability)
- [📖 Structure and interpretation of computer programs (1979)](http://sarabander.github.io/sicp/html/index.xhtml)
  - [SICP in Emacs Lisp](https://github.com/zv/SICP-guile)
- [📖 Mindstorms: children, computers, and powerful ideas (1980)](http://mindstorms.media.mit.edu/)
- [📖 Communicating sequential processes (1985)](http://www.usingcsp.com/cspbook.pdf)
- [📕 The art of the metaobject protocol (1991)](https://www.goodreads.com/book/show/274495.The_Art_of_the_Metaobject_Protocol)
- [📖 Code: hidden language of computer hardware and software (1999)](https://bobcarp.files.wordpress.com/2014/07/code-charles-petzold.pdf)
- [📕 The pragmatic programmer (1999)](https://www.goodreads.com/book/show/4099.The_Pragmatic_Programmer)
- [📕 The practice of programming (1999)](https://www.goodreads.com/book/show/1032758.The_Practice_of_Programming)
- [📕 Refactoring (1999)](https://www.goodreads.com/book/show/44936.Refactoring)
- [📕 How to design programs (2001)](https://www.goodreads.com/book/show/1119079.How_to_Design_Programs)
- [📕 Computer Systems: A Programmer's Perspective (2002)](https://www.goodreads.com/book/show/829182.Computer_Systems)
- [📕 Inside the machine (2006)](https://www.goodreads.com/book/show/610830.Inside_the_Machine)
- [📕 Clean code (2008)](https://www.goodreads.com/book/show/3735293-clean-code)
- [📕 Design concepts in programming (2008)](https://www.goodreads.com/book/show/4412222-design-concepts-in-programming-languages)
- [📕 Apprenticeship patterns (2010)](https://www.goodreads.com/book/show/5608045-apprenticeship-patterns)
- [📕 The art of readable code: simple and practical techniques for writing better code (2011)](https://www.goodreads.com/book/show/8677004-the-art-of-readable-code)
- [📕 Programming in the large with design patterns (2012)](https://www.goodreads.com/book/show/16418148-programming-in-the-large-with-design-patterns)
- [📕 Dynamic Programming and Optimal Control (2012)](http://www.athenasc.com/dpbook.html)
- [📕 The Software Craftsman: Professionalism, Pragmatism, Pride (2014)](https://www.goodreads.com/book/show/23215733-the-software-craftsman)
- [📖 How These Things Work (2016)](http://reasonablypolymorphic.com/book/preface)
- [📕 Introduction to the Theory of Complex Systems (2018)](https://www.goodreads.com/book/show/40404857-introduction-to-the-theory-of-complex-systems)
- [📖 Composing programs](http://www.composingprograms.com/)
- [📕 Designing APIs with Swagger and OpenAPI (early-access)](https://www.manning.com/books/designing-apis-with-swagger-and-openapi) - A hands-on primer for describing, planning and designing web APIs.
- [📕 API Design Patterns](https://www.manning.com/books/api-design-patterns) - A collection of best practices and design standards for web and internal APIs.
- [📕 Street Coder (2021)](https://www.goodreads.com/book/show/56986386-street-coder) - Programmer's survival guide, full of tips, tricks, and hacks that will make you a more efficient programmer.
- [📕 Good Code, Bad Code (2021)](https://www.goodreads.com/book/show/56771599-good-code-bad-code?ac=1&from_search=true&qid=lOLevP7XTs&rank=1) - Book about writing code that is robust, reliable, and easy for team members to understand and adapt.
- [📕 Software Mistakes and tradeoff: How to make good programming decision (2021)](https://www.manning.com/books/software-mistakes-and-tradeoffs) - Optimize the decisions that define your code by exploring the common mistakes and intentional tradeoffs made by expert developers.
- [📕 Parallel and High-Performance Computing (2021)](https://www.manning.com/books/parallel-and-high-performance-computing) - A book that offers techniques guaranteed to boost your code’s effectiveness.
- [📕 The Programmer's Brain (2021)](https://www.manning.com/books/the-programmers-brain) - A book that teaches the concrete techniques rooted in cognitive science that will improve the way you learn and think about code.
- [📕 Designing APIs with Swagger and OpenAPI (early-access)](https://www.manning.com/books/designing-apis-with-swagger-and-openapi)
- [📕 API Design Patterns](https://www.manning.com/books/api-design-patterns)
- [📕 Street Coder (2021)](https://www.goodreads.com/book/show/56986386-street-coder) - Programmer's survival guide, full of tips, tricks, and hacks that will make you a more efficient programmer.
- [📕 Good Code, Bad Code (2021)](https://www.goodreads.com/book/show/56771599-good-code-bad-code?ac=1&from_search=true&qid=lOLevP7XTs&rank=1) - Book about writing code that is robust, reliable, and easy for team members to understand and adapt.
- [📕 Software Mistakes and tradeoff: How to make good programming decision (2021)](https://www.manning.com/books/software-mistakes-and-tradeoffs) - Optimize the decisions that define your code by exploring the common mistakes and intentional tradeoffs made by expert developers.
- [📕 Parallel and High-Performance Computing (2021)](https://www.manning.com/books/parallel-and-high-performance-computing) - A book that offers techniques guaranteed to boost your code’s effectiveness.
- [📕 The Art of Unit Testing, Third Edition (2021)](https://www.manning.com/books/the-art-of-unit-testing-third-edition) - A book that guides you step by step from your first simple unit tests to building complete test sets that are maintainable, readable, and trustworthy.
- [📕 The Creative Programmer (2022)](https://www.manning.com/books/the-creative-programmer) - Book about creative problem solving in programming.

## Psychedelics

- [📖 LSD: My Problem Child (1979)](https://www.erowid.org/library/books_online/lsd_my_problem_child)
- [📕 Tryptamine Palace: 5-MeO-DMT and the Sonoran Desert Toad (2009)](https://www.goodreads.com/book/show/5519081-tryptamine-palace)
- [📖 Tryptamines I Have Known And Loved: The Chemistry Continues](https://erowid.org/library/books_online/tihkal/tihkal.shtml)
- [📕 The invisible landscape: mind, hallucinogens, and the i ching (1994)](https://www.goodreads.com/book/show/191375.The_Invisible_Landscape)
- [📖 The Cosmic Serpent: DNA and the origins of knowledge (1998)](https://www.indybay.org/uploads/2011/04/17/cosmicserp.pdf)
- [📕 Breaking open the head (2002)](https://www.goodreads.com/book/show/1815.Breaking_Open_the_Head)
- [📕 Supernatural: meetings with the ancient teachers of mankind (2005)](https://www.goodreads.com/book/show/53324.Supernatural)

## Psychology

- [📕 Thinking, Fast and Slow (2011)](https://www.goodreads.com/book/show/11468377-thinking-fast-and-slow)
- [📕 On intelligence (2004)](https://www.goodreads.com/book/show/27539.On_Intelligence)
- [📕 Influence: the psychology of persuasion (1984)](https://www.goodreads.com/book/show/28815.Influence)

## Quantum physics

- [📕 Quantum: A Guide for the Perplexed (2003)](https://www.goodreads.com/book/show/100034.Quantum)

## Regular Expressions

- [📕 Regular expressions cookbook (2009)](https://www.goodreads.com/book/show/6125777-regular-expressions-cookbook)
- [📖 Python re(gex)? (2020)](https://learnbyexample.github.io/py_regular_expressions/)
- [📖 JavaScript RegExp (2020)](https://learnbyexample.github.io/learn_js_regexp/)
- [📖 Ruby Regexp (2020)](https://learnbyexample.github.io/Ruby_Regexp/)

## Reinforcement learning

- [📖 Reinforcement Learning: An Introduction (2018)](http://www.incompleteideas.net/book/bookdraft2018jan1.pdf)

## Reverse engineering

- [📖 Reverse Engineering for Beginners (2018)](https://beginners.re/RE4B-EN.pdf)

## Science

- [📕 The structure of scientific revolutions (1962)](https://www.goodreads.com/book/show/61539.The_Structure_of_Scientific_Revolutions)
- [📕 Cosmos (1980)](https://www.goodreads.com/book/show/55030.Cosmos)
- [📕 A brief history of time (1988)](https://www.goodreads.com/book/show/3869.A_Brief_History_of_Time)
- [📕 The demon-haunted world (1995)](https://www.goodreads.com/book/show/17349.The_Demon_Haunted_World)
- [📕 A short history of nearly everything (2003)](https://www.goodreads.com/book/show/21.A_Short_History_of_Nearly_Everything)
- [📕 What if? (2014)](https://www.goodreads.com/book/show/21413662-what-if)

## Scifi

- [📕 The sirens of titan (1959)](https://www.goodreads.com/book/show/4982.The_Sirens_of_Titan)
- [📕 Stranger in a strange land (1961)](https://www.goodreads.com/book/show/350.Stranger_in_a_Strange_Land)
- [📕 Cat’s cradle (1963)](https://www.goodreads.com/book/show/135479.Cat_s_Cradle)
- [📕 Do androids dream of electric sheep? (1968)](https://www.goodreads.com/book/show/7082.Do_Androids_Dream_of_Electric_Sheep_)
- [📕 Ubik (1969)](https://www.goodreads.com/book/show/22590.Ubik)
- [📕 The mote in god's eye (1974)](https://www.goodreads.com/book/show/100365.The_Mote_in_God_s_Eye)
- [📕 Neuromancer (1984)](https://www.goodreads.com/book/show/22328.Neuromancer)
- [📕 Ender’s game (1985)](https://www.goodreads.com/book/show/375802.Ender_s_Game)
- [📕 The player of games (1988)](https://www.goodreads.com/book/show/18630.The_Player_of_Games)
- [📕 A fire upon the deep (1992)](https://www.goodreads.com/book/show/77711.A_Fire_Upon_the_Deep)
- [📕 Snow crash (1992)](https://www.goodreads.com/book/show/830.Snow_Crash)
- [📕 Permutation city (1994)](https://www.goodreads.com/book/show/156784.Permutation_City)
- [📕 The diamond age (1995)](https://www.goodreads.com/book/show/827.The_Diamond_Age)
- [📕 The martian (2011)](https://www.goodreads.com/book/show/18007564-the-martian)
- [📕 Golden son (2015)](https://www.goodreads.com/book/show/18966819-golden-son)
- [📕 The dispossessed](https://www.goodreads.com/book/show/13651.The_Dispossessed)
- [📕 Blindsight](https://www.goodreads.com/book/show/48484.Blindsight)

### SciFi Series

- [📕 The baroque cycle](https://www.goodreads.com/series/49317-the-baroque-cycle)
- [📕 Hyperion cantos](https://www.goodreads.com/series/40461-hyperion-cantos)
- [📕 The dark tower](https://www.goodreads.com/series/40750-the-dark-tower)
- [📕 Foundation](https://www.goodreads.com/series/59386-foundation-publication-order)
- [📕 Red rising](https://www.goodreads.com/book/show/15839976-red-rising)
- [📕 Culture](https://www.goodreads.com/series/49118-culture)
- [📕 Rama](https://www.goodreads.com/book/show/112537.Rendezvous_with_Rama)

## Security

- [📕 The database hacker’s handbook (2005)](https://www.goodreads.com/book/show/369905.The_Database_Hacker_s_Handbook) - Most detailed book available for attacking databases (covers basic through advanced topics).
- [📕 A guide to kernel exploitation (2010)](https://www.goodreads.com/book/show/9224826-a-guide-to-kernel-exploitation) - Advanced exploitation of a range of operating systems.
- [📕 The tangled web (2011)](https://www.goodreads.com/book/show/11553604-the-tangled-web) - Detailed look at the foundations of web protocols followed by a thorough examination of their weakness.
- [📖 The web application hackers handbook (2014)](https://leaksource.files.wordpress.com/2014/08/the-web-application-hackers-handbook.pdf)
- [📕 The browser hacker's handbook (2014)](https://www.goodreads.com/book/show/17891588-the-browser-hacker-s-handbook) - A detailed look into many web security topics.
- [📕 Security Engineering (2020)](https://www.goodreads.com/book/show/3268675-security-engineering) - A look into many security topics.


## Sleep

- [📕 Why We Sleep: Unlocking the Power of Sleep and Dreams (2017)](https://www.goodreads.com/book/show/34466963-why-we-sleep)

## Society

- [📕 The utopia of rules (2015)](https://www.goodreads.com/book/show/22245334-the-utopia-of-rules)

## Spirituality

- [📕 The Quantum and the Lotus: A Journey to the Frontiers Where Science and Buddhism Meet (2000)](https://www.goodreads.com/book/show/222652.The_Quantum_and_the_Lotus)
- [📕 Journey of souls: case studies of life between lives (1994)](https://www.goodreads.com/book/show/104979.Journey_of_Souls)

## Startups

- [📕 Running Lean (2012)](https://www.goodreads.com/book/show/13078769-running-lean)
- [📕 Zero to one (2014)](https://www.goodreads.com/book/show/18050143-zero-to-one)
- [📕 Just fucking ship (2014)](https://www.goodreads.com/book/show/23700819-just-fucking-ship)

## Statistics

- [📕 The visual display of quantitative information (1983)](https://www.goodreads.com/book/show/17744.The_Visual_Display_of_Quantitative_Information)
- [📕 Bayesian Data Analysis (1995)](https://www.goodreads.com/book/show/619590.Bayesian_Data_Analysis)
- [📖 The elements of statistical learning (2001)](http://statweb.stanford.edu/%7Etibs/ElemStatLearn/printings/ESLII_print10.pdf)
- [📖 All of statistics (2004)](http://www.stat.cmu.edu/~larry/all-of-statistics/)
- [📕 Introduction to bayesian statistics (2007)](https://www.goodreads.com/book/show/2378169.Introduction_to_Bayesian_Statistics)
- [📖 Think bayes: bayesian statistics made simple (2012)](http://www.greenteapress.com/thinkbayes/thinkbayes.pdf)
- [📖 An introduction to statistical learning: with applications in r (2013)](http://www-bcf.usc.edu/%7Egareth/ISL/)
- [📕 Statistical rethinking: a bayesian course with examples in R and Stan (2015)](http://xcelab.net/rm/statistical-rethinking/)
  - [Lectures](https://www.youtube.com/playlist?list=PLDcUM9US4XdMdZOhJWJJD4mDBMnbTWw_z)
- [📖 Computational and inferential thinking (2017)](https://www.inferentialthinking.com/)
- [📕 Statistics Playbook (early Access - 2022)](https://www.manning.com/books/statistics-playbook)

## Strategy

- [📕 The art of war (~ 500 BC)](https://www.goodreads.com/book/show/10534.The_Art_of_War)

## Text editors

- [📖 Build Your Own Text Editor](https://viewsourcecode.org/snaptoken/kilo/)

### Vim

- [📕 Practical vim: Edit Text at the Speed of Thought (2012)](https://www.goodreads.com/book/show/13607232-practical-vim)
  - [Notes](https://github.com/gitig/Practical-Vim-Notes)
- [📖 Learn Vimscript the Hard Way](http://learnvimscriptthehardway.stevelosh.com/)
- [📖 Vim user manual](http://vimdoc.sourceforge.net/htmldoc/usr_toc.html) - Must read for anyone new to vim.

## Type theory

- [📖 Type Theory & Functional Programming (1999)](https://www.cs.kent.ac.uk/people/staff/sjt/TTFP/ttfp.pdf)
- [📕 Type Theory and Formal Proof: An Introduction (2014)](https://www.goodreads.com/book/show/21442441-type-theory-and-formal-proof)
- [📕 Programming with Types (early-access 2019/20)](https://www.manning.com/books/programming-with-types)

## Unix

- [📕 Advanced programming in the unix environment (1992)](https://www.goodreads.com/book/show/603263.Advanced_Programming_in_the_UNIX_Environment)
- [📕 Unix power tools (1993)](https://www.goodreads.com/book/show/172314.UNIX_Power_Tools)
- [📖 An introduction to unix (2014)](http://www.oliverelliott.org/article/computing/tut_unix/)
- [📖 GNU grep and ripgrep (2020)](https://learnbyexample.github.io/learn_gnugrep_ripgrep/)
- [📖 GNU sed (2020)](https://learnbyexample.github.io/learn_gnused/)
- [📖 GNU awk (2020)](https://learnbyexample.github.io/learn_gnuawk/)

## Version control

### Git

- [📖 Git in practice (2014)](https://content.mirantis.com/rs/451-RBY-185/images/McQuaid-git-in-practice.pdf)
- [📖 Pro git (2014)](https://git-scm.com/book/en/v2)

## Visualization

- [📕 Envisioning information (1990)](https://www.goodreads.com/book/show/17745.Envisioning_Information)

## Writing

- [📕 Style: Lessons in Clarity and Grace (1981)](https://www.goodreads.com/book/show/6966800)

## Web Development

- [📖 Site Reliability Engineering](https://landing.google.com/sre/book.html)
- [📕 Hugo in Action (early-access)](https://www.manning.com/books/hugo-in-action)
- [📕 Micro Frontends in Action](https://www.manning.com/books/micro-frontends-in-action)

### CSS

- [📖 Learn CSS Layout the pedantic way (2015)](http://book.mixu.net/css/)

### Node

- [📖 Node up and running (2012)](http://chimera.labs.oreilly.com/books/1234000001808/index.html)

### React

- [📖 React in Patterns (2018)](https://krasimir.gitbooks.io/react-in-patterns/content/)
- [📖 The Road to learn React](https://roadtoreact.com/)
- [📕 React Hooks in Action](https://www.manning.com/books/react-hooks-in-action)

### Redux

- [📖 Redux Book (2018)](https://read.reduxbook.com/)

### Webpack

- [📖 Webpack: From apprentice to master (2018)](https://survivejs.com/webpack/preface/)

### Web design

- [📕 Don’t make me think (2000)](https://www.goodreads.com/book/show/18197267-don-t-make-me-think-revisited)

## Other

- [Awesome fantasy](https://github.com/RichardLitt/awesome-fantasy)
- [Awesome scifi](https://github.com/sindresorhus/awesome-scifi)
- [Book notes](https://github.com/mgp/book-notes)
- [Book suggestions subreddit](https://www.reddit.com/r/booksuggestions)
- [Free programming books](https://github.com/EbookFoundation/free-programming-books)
- [Influential CS books](https://github.com/chhantyal/influential-cs-books)
- [Language-agnostic programming books](https://news.ycombinator.com/item?id=14486657)
- [Mind expanding books](https://github.com/hackerkid/Mind-Expanding-Books)
- [Recommended reading for developers](https://blog.codinghorror.com/recommended-reading-for-developers)

[![CC4](https://img.shields.io/badge/license-CC4-0a0a0a.svg?style=flat&colorA=0a0a0a)](https://creativecommons.org/licenses/by/4.0/)
[![Lists](https://img.shields.io/badge/-more%20lists-0a0a0a.svg?style=flat&colorA=0a0a0a)](https://github.com/learn-anything/curated-lists)
[![Contribute](https://img.shields.io/badge/-contribute-0a0a0a.svg?style=flat&colorA=0a0a0a)](contributing.md)
[![Twitter](http://bit.ly/latwitt)](https://twitter.com/learnanything_)
